Bug 199895 - [PATCH] devel/ocaml-camlp4: Install META file
Summary: [PATCH] devel/ocaml-camlp4: Install META file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL:
Keywords: patch
Depends on:
Blocks: 199845
  Show dependency treegraph
 
Reported: 2015-05-03 17:26 UTC by Guido Falsi
Modified: 2015-05-04 15:34 UTC (History)
1 user (show)

See Also:


Attachments
patch (978 bytes, patch)
2015-05-03 17:26 UTC, Guido Falsi
madpilot: maintainer-approval? (michipili)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2015-05-03 17:26:24 UTC
Created attachment 156299 [details]
patch

As in bug 195737, while compiling a fix for bug 199845
	
I noticed this port does not install the needed META file.

This patch fixes that.

Thanks.
Comment 1 Guido Falsi freebsd_committer 2015-05-04 15:28:51 UTC
Will commit this shortly, overriding maintainer feerback with portmgr blanket approval, since it's needed to fix bug 199845
Comment 2 Guido Falsi freebsd_committer 2015-05-04 15:34:30 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2015-05-04 15:34:53 UTC
A commit references this bug:

Author: madpilot
Date: Mon May  4 15:34:21 UTC 2015
New revision: 385411
URL: https://svnweb.freebsd.org/changeset/ports/385411

Log:
  Install META file, needed by the ports using ocaml-findlib.

  While here, use USE_OCAML.

  PR:		199895
  Submitted by:	me
  Approved By:	portmgr (blanket for modernization)

Changes:
  head/devel/ocaml-camlp4/Makefile
  head/devel/ocaml-camlp4/pkg-plist